com.sun.source.tree

## Interface MemberSelectTree

- All Superinterfaces:
    ExpressionTree, Tree

      public interface MemberSelectTree
      extends ExpressionTree

  A tree node for a member access expression. For example:

         expression . identifier

  Since:
    1.6
  See The Java™ Language Specification:
    sections 6.5, 15.11,and 15.12

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionTree` | `getExpression()`
    `Name` | `getIdentifier()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getExpression

          ExpressionTree getExpression()

    - #### getIdentifier

          Name getIdentifier()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.